Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 95366 - Make NBM projects extensible by 3rd-party modules
Make NBM projects extensible by 3rd-party modules
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@apisupport
plan60
: API, API_REVIEW_FAST
Depends on: 95968 117362
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-13 10:11 UTC by Milos Kleint
Modified: 2007-10-01 19:41 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
suggested patch to allow lookup and nodes to be extendable. (93.67 KB, patch)
2007-02-13 10:14 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2007-02-13 10:11:01 UTC
related to #72091.

allow 3rd party modules to extend the logical view, lookup and customizer of
netbeans module project type(s)
Comment 1 Milos Kleint 2007-02-13 10:14:39 UTC
Created attachment 38419 [details]
suggested patch to allow lookup and nodes to be extendable.
Comment 2 Milos Kleint 2007-02-13 10:20:23 UTC
please review this change.
it introduces few locations in system filesystem where 3rd party modules can
register to enhance the netbeans module project types.
Comment 3 sreimers 2007-02-15 21:27:40 UTC
Shouldn't this get Status whiteboard "plan60" so it appears on
http://wiki.netbeans.org/wiki/view/NB6FeaturePlan ?
Comment 4 Milos Kleint 2007-02-16 21:24:30 UTC
sreimers: not sure about the plan60 tag, this issue is the implementatio part of
#72091 (which is tagged with plan60)

thanks for review I will commit tomorrow.
Comment 5 Milos Kleint 2007-02-17 09:32:33 UTC
sreimers: actually now I notited the freeform extensibility is also marked with
plan60 so I'm going to mark this one as well.. thanks for catching it.
Comment 6 Milos Kleint 2007-02-17 11:58:43 UTC
done

Checking in arch.xml;
/cvs/apisupport/project/arch.xml,v  <--  arch.xml
new revision: 1.11; previous revision: 1.10
done
Checking in nbproject/project.properties;
/cvs/apisupport/project/nbproject/project.properties,v  <--  project.properties
new revision: 1.36; previous revision: 1.35
done
Checking in src/org/netbeans/modules/apisupport/project/NbModuleProject.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/NbModuleProject.java,v
 <--  NbModuleProject.java
new revision: 1.149; previous revision: 1.148
done
Checking in src/org/netbeans/modules/apisupport/project/suite/SuiteProject.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/suite/SuiteProject.java,v
 <--  SuiteProject.java
new revision: 1.33; previous revision: 1.32
done
Checking in src/org/netbeans/modules/apisupport/project/ui/LibrariesNode.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/LibrariesNode.java,v
 <--  LibrariesNode.java
new revision: 1.17; previous revision: 1.16
done
Checking in src/org/netbeans/modules/apisupport/project/ui/ModuleLogicalView.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/ModuleLogicalView.java,v
 <--  ModuleLogicalView.java
new revision: 1.30; previous revision: 1.29
done
Checking in src/org/netbeans/modules/apisupport/project/ui/SuiteLogicalView.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/SuiteLogicalView.java,v
 <--  SuiteLogicalView.java
new revision: 1.46; previous revision: 1.45
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/ImportantFilesNodeFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/ImportantFilesNodeFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/ImportantFilesNodeFactory.java,v
 <--  ImportantFilesNodeFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/LibrariesNodeFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/LibrariesNodeFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/LibrariesNodeFactory.java,v
 <--  LibrariesNodeFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/ModulesNodeFactory.java,v
done
Checking in src/org/netbeans/modules/apisupport/project/ui/ModulesNodeFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/ModulesNodeFactory.java,v
 <--  ModulesNodeFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/SourcesNodeFactory.java,v
done
Checking in src/org/netbeans/modules/apisupport/project/ui/SourcesNodeFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/SourcesNodeFactory.java,v
 <--  SourcesNodeFactory.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/apisupport/project/ui/resources/layer.xml;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/resources/layer.xml,v
 <--  layer.xml
new revision: 1.42; previous revision: 1.41
done
Comment 7 sreimers 2007-02-18 10:30:48 UTC
The summary says "Make NBM projects extensible by 3rd-party modules" but the fix
seems only to address lookup and logical view. What about customizer? Will this
be solved through another issue?
Comment 8 Milos Kleint 2007-02-18 14:24:58 UTC
I haven't included customizer changes as these are considerably more work. Do
you have a usecase for customizer extensibility?
Comment 9 sreimers 2007-02-18 16:38:55 UTC
Yes I do. I want to add customizers to all projects to do project specific
customizations via UI for quality tools like PMD, FindBugs etc. (see
http://sqe.dev.java.net).
Comment 10 Milos Kleint 2007-02-18 19:31:01 UTC
accepted. I'll see what can be done. no promises for m8 though
Comment 11 Milos Kleint 2007-03-07 07:01:08 UTC
done.

IDE:-------------------------------------------------
IDE: [3/7/07 7:55 AM] Committing started
cvs server: scheduling file `CustomizerLibrariesFactory.java' for addition
cvs server: scheduling file `CustomizerPackagingFactory.java' for addition
cvs server: scheduling file `CustomizerVersioningFactory.java' for addition
cvs server: scheduling file `CustomizerCompilingFactory.java' for addition
cvs server: scheduling file `CustomizerDisplayFactory.java' for addition
cvs server: scheduling file `SuiteCustomizerBasicBrandingFactory.java' for addition
cvs server: scheduling file `SuiteCustomizerLibrariesFactory.java' for addition
cvs server: scheduling file `SuiteCustomizerSplashBrandingFactory.java' for addition
cvs server: scheduling file `CustomizerSourcesFactory.java' for addition
cvs server: scheduling file `SuiteCustomizerSourcesFactory.java' for addition
cvs server: use 'cvs commit' to add these files permanently
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/BasicCustomizer.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/BasicCustomizer.java,v
 <--  BasicCustomizer.java
new revision: 1.13; previous revision: 1.12
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerPackaging.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerPackaging.java,v
 <--  CustomizerPackaging.java
new revision: 1.18; previous revision: 1.17
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerVersioning.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerVersioning.java,v
 <--  CustomizerVersioning.java
new revision: 1.41; previous revision: 1.40
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerDisplay.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerDisplay.java,v
 <--  CustomizerDisplay.java
new revision: 1.30; previous revision: 1.29
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSplashBranding.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSplashBranding.java,v
 <--  SuiteCustomizerSplashBranding.java
new revision: 1.16; previous revision: 1.15
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerBasicBranding.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerBasicBranding.java,v
 <--  SuiteCustomizerBasicBranding.java
new revision: 1.20; previous revision: 1.19
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerSourcesFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerSourcesFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerSourcesFactory.java,v
 <--  CustomizerSourcesFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSplashBrandingFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSplashBrandingFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSplashBrandingFactory.java,v
 <--  SuiteCustomizerSplashBrandingFactory.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerProviderImpl.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerProviderImpl.java,v
 <--  CustomizerProviderImpl.java
new revision: 1.52; previous revision: 1.51
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerLibraries.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerLibraries.java,v
 <--  SuiteCustomizerLibraries.java
new revision: 1.38; previous revision: 1.37
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerBasicBrandingFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerBasicBrandingFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerBasicBrandingFactory.java,v
 <--  SuiteCustomizerBasicBrandingFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerPackagingFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerPackagingFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerPackagingFactory.java,v
 <--  CustomizerPackagingFactory.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizer.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizer.java,v
 <--  SuiteCustomizer.java
new revision: 1.21; previous revision: 1.20
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerVersioningFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerVersioningFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerVersioningFactory.java,v
 <--  CustomizerVersioningFactory.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/Bundle.properties;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.83; previous revision: 1.82
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerLibrariesFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerLibrariesFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerLibrariesFactory.java,v
 <--  CustomizerLibrariesFactory.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/ModuleProperties.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/ModuleProperties.java,v
 <--  ModuleProperties.java
new revision: 1.20; previous revision: 1.19
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SingleModuleProperties.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SingleModuleProperties.java,v
 <--  SingleModuleProperties.java
new revision: 1.65; previous revision: 1.64
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerDisplayFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerDisplayFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerDisplayFactory.java,v
 <--  CustomizerDisplayFactory.java
initial revision: 1.1
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/NbPropertyPanel.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/NbPropertyPanel.java,v
 <--  NbPropertyPanel.java
new revision: 1.16; previous revision: 1.15
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSourcesFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSourcesFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerSourcesFactory.java,v
 <--  SuiteCustomizerSourcesFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerLibrariesFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerLibrariesFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerLibrariesFactory.java,v
 <--  SuiteCustomizerLibrariesFactory.java
initial revision: 1.1
done
RCS file:
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerCompilingFactory.java,v
done
Checking in
src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerCompilingFactory.java;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/customizer/CustomizerCompilingFactory.java,v
 <--  CustomizerCompilingFactory.java
initial revision: 1.1
done
Checking in src/org/netbeans/modules/apisupport/project/ui/resources/layer.xml;
/cvs/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/resources/layer.xml,v
 <--  layer.xml
new revision: 1.45; previous revision: 1.44
done
Checking in arch.xml;
/cvs/apisupport/project/arch.xml,v  <--  arch.xml
new revision: 1.13; previous revision: 1.12
done
Checking in
test/unit/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerModuleListTest.java;
/cvs/apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/ui/customizer/SuiteCustomizerModuleListTest.java,v
 <--  SuiteCustomizerModuleListTest.java
new revision: 1.13; previous revision: 1.12
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo